/**---------------------------------------------------------------------------
 ** 
 ** scan_nav.c -- 
 ** 
 ** Author          : Pierre Jaccard
 ** Created On      : 1999/07/30 12:25:17
 ** Last Modified By: Pierre Jaccard
 ** Last Modified On: 1999/07/30 16:41:01
 ** Update Count    : 3
 ** Directory       : /pcdata1/jaccard/codas3c/gfi/src/apps/nav/
 ** Version         : 0.0
 ** Status          : Unknown
 ** ---------------------------------------------------------------------- ** 
 ** DESCRIPTION: 
 ** 
 **    Undocumented.
 ** 
 ** ---------------------------------------------------------------------- ** 
 ** REVISIONS: 
 ** ---------------------------------------------------------------------- ** 
 ** CHANGES: 
 **------------------------------------------------------------------------**/

/*

	-Introduction:

	Programme to scan navigation files. This functions in this file are only
	used to select the correct navigation scanning programme. These must be
	defined in separate files and process the rest of the control file
	parameters and options.

	##################################################################
*/


#include "scan_nav.h"

/*
  Include module for reading NMEA navigation files with TRANSECT stamps
*/
#include "scantnav.c"


#if PROTOTYPE_ALLOWED
void do_it(FILE *fp_cnt)
#else
void do_it(fp_cnt)
#endif
{

		/* Get the parameters */
	if (get_parameters(fp_cnt, scan_nav_params, scan_nav_name_list)) exit(-1);
	print_parameters(stdout, scan_nav_params, scan_nav_name_list, "\n");

	/* Select the correct scanning function, according to the kind of navigation
		 file */
	switch(scan_nav_type){
	case TRANSECT_SCAN_NAV_KIND:
		scan_nav_transect(fp_cnt);
		break;
	case PRDIDLOG_SCAN_NAV_KIND:
		printf("\n SORRY: this is not completed yet!\n");
		/* scan_nav_prdidlog(fp_cnt); */
		break;
	default:
		/* Nothing to do */
		break;
	}

	return;

}

